import { z } from 'zod';

export const serviceIdSchema = z.object({
  serviceId: z.string().uuid(),
});

export const folderIdSchema = z.object({
  folderId: z.string().uuid(),
});

export const folderDocumentIdSchema = z.object({
  folderId: z.string().uuid(),
  documentId: z.string().uuid(),
});

export const createFolderSchema = z.object({
  name: z.string().min(1).max(255),
});

export const updateFolderSchema = z.object({
  name: z.string().min(1).max(255),
});
